<?php

include('conexion.php');

$error = '';

if (isset($_POST['Usuario']) && isset($_POST['Clave'])) {
    $Usuario = validate($_POST['Usuario']);
    $Clave = validate($_POST['Clave']);

    echo $Usuario . " / " . $Clave . "<br>";

    if (empty($Usuario) || empty($Clave)) {
        $error = '0';
    }

    $sqlVerificandoLogin = ("SELECT IdUser, nameUser, emailUser, passwordUser , UserAdmin FROM myusers WHERE emailUser ='" . $Usuario . "'");
    $resultLogin = mysqli_query($db, $sqlVerificandoLogin) or die(mysqli_error($con));
    $numLogin = mysqli_num_rows($resultLogin);

    echo $numLogin . "<br>";

    if ($numLogin > 0) {

        while ($rowData = mysqli_fetch_assoc($resultLogin)) {
            $passwordBD = $rowData['passwordUser'];
            if (password_verify($Clave, $passwordBD)) {
                echo "Usuario correcto". "<br>";

                session_start();
                $_SESSION['IdUser'] = $rowData['IdUser'];
                $_SESSION['nameUser'] = $rowData['nameUser'];
                $_SESSION['emailUser'] = $rowData['emailUser'];
                $_SESSION['UserAdmin'] = $rowData['UserAdmin'];

                echo $_SESSION['nameUser']. "<br>";

                header("location: ../main.php");
            }
        }
    } else {
        $error = '1';
    }
} else {
    $error = '-1';
}



if ($error != '') {
    switch ($error) {
        case -1:
            $error = '';
            break;
        case 0;
            $error = '?error=Debe introducir un usuario y una contraseña';
            break;
        case 1;
            $error = '?error=Usuario y/o contraseña no validas';
            break;
    }
    header("Location: ../login.php" . $error);
    exit();
}


function validate($data)
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}    

/*
    if (NoVacios($Usuario, $Clave)){
        
    } else {
        echo $Usuario . " / " . $Clave;
    }

    function NoVacios($us,$pw) {
        if (isset($us) && isset($pw) ) {
            return true;
        }
        return false;
    }
     */